GET

employeecontacts API

Retrieve and manage employeecontacts records from the Apps4Edu sync database.

Endpoint Path

GET /api/employeecontacts

CURL Example

curl "https://api.apps4education.co.uk/api/employeecontacts?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
contactID int
employeeID int
nextToKin tinyint
priority int
startDate datetime
endDate datetime
salutation varchar
staffContactRelationTypeDescription text
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "contactID": 101,
      "employeeID": 101,
      "nextToKin": "example_value",
      "priority": "example_value",
      "startDate": "example_value",
      "endDate": "example_value",
      "salutation": "example_value",
      "staffContactRelationTypeDescription": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.